%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%endif

Name:           pypoppler
Version:        0.12.1
Release:        10%{?dist}
Summary:        Python bindings for the Poppler PDF rendering library

Group:          Applications/Publishing
License:        GPLv2+
URL:            https://launchpad.net/poppler-python
Source0:        http://launchpad.net/poppler-python/trunk/development/+download/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)     

BuildRequires:  pygtk2-devel
BuildRequires:  atk-devel
BuildRequires:  poppler-devel
BuildRequires:  pycairo-devel
BuildRequires:  poppler-glib-devel >= 0.15

# Release the GIL on blocking functions like rendering pages and getting
# thumbnails, see bug #504240 reported by BenjaminBerg.
# bzr rev 75
Patch0:		75_74.diff

# Manually wrap poppler_page_render_to_pixbuf and
# poppler_page_render_to_pixbuf_for_printing returning the Pixbuf
# bzr rev 76
Patch1:		76_75.diff

# Fix a few leaks by using the right functions while freeing the returned lists
# bzr 79
Patch2:		79_78.diff

# Changes for poppler 1.5
Patch3:		pypoppler-0.12.1-poppler0.15.0-changes.patch


%description
Python bindings for the Poppler PDF rendering library. It is needed to
run programs written in Python and using Poppler set.


%prep
%setup -q
%patch0 -p0 -b .bzr75
%patch1 -p0 -b .bzr76
%patch2 -p0 -b .bzr79
%patch3 -p1 -b .poppler15


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS
%{python_sitearch}/poppler*


%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 01 2011 Rex Dieter <rdieter@fedoraproject.org> - 0.12.1-9
- rebuild (poppler)

* Wed Dec 15 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.12.1-8
- rebuild (poppler)

* Sat Nov 06 2010 Fabian Affolter <fabian@bernewireless.net> - 0.12.1-7
- rebuild (poppler)

* Wed Oct 06 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 0.12.1-6
- apply useful fixes from upstream bzr
- fix pypoppler against poppler 0.15.0

* Fri Oct 01 2010 Fabian Affolter <fabian@bernewireless.net> - 0.12.1-5
- Rebuild against new poppler

* Thu Aug 19 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.12.1-4
- rebuild (poppler)

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.12.1-3
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Tue Jun 22 2010 Matthias Clasen <mclasen@redhat.com> - 0.12.1-2
- Rebuild against new poppler

* Thu Nov 19 2009 Fabian Affolter <fabian@bernewireless.net> - 0.12.1-1
- Updated to new upstream version 0.12.1

* Thu Sep 17 2009 Fabian Affolter <fabian@bernewireless.net> - 0.10.1-1
- Updated to new upstream version 0.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Apr 25 2009 Fabian Affolter <fabian@bernewireless.net> - 0.10.0-1
- Initial package for Fedora
